version: '3'

services:
  fix-mongodb-permissions:
    image: busybox
    user: root
    command: chown -R 1001:1001 /bitnami
    volumes:
      - mongo-vol:/bitnami

  mongo:
    image: bitnami/mongodb:latest
    environment:
      - MONGODB_USERNAME=${DB_USER}
      - MONGODB_PASSWORD=${DB_PASSWORD}
      - MONGODB_DATABASE=${DB_NAME}
    ports:
      - '27017:27017'
    volumes:
      - mongo-vol:/bitnami
    depends_on:
      - fix-mongodb-permissions

  note-app-backend:
    image: note-app-backend:latest
    ports:
      - '8000:8000'
    depends_on:
      - mongo
    links:
      - mongo
    environment:
      - DB_HOST=${DB_HOST}
      - DB_NAME=${DB_NAME}
      - DB_USER=${DB_USER}
      - DB_PASSWORD=${DB_PASSWORD}
      - NODE_ENV=${NODE_ENV}

volumes:
  mongo-vol:
